Delete a role

Delete a role with the specified ID. The role being deleted must not be in use by any entity users, otherwise a 409 error is returned. To check if there are entity users that have this role, call GET /entity_users?role_id=ROLE_ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

role_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Roles ID Request Bad Request Error
401
Delete Roles ID Request Unauthorized Error
404
Delete Roles ID Request Not Found Error
409
Delete Roles ID Request Conflict Error
422
Delete Roles ID Request Unprocessable Entity Error
429
Delete Roles ID Request Too Many Requests Error